Skip to main content
`Ctrl`+`K`

# DMFieldEvaluateFV

Evaluate the mean of a field and its finite volume derivatives on a set of points.

## Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldEvaluateFV(DMField field, IS cellIS, PetscDataType datatype, void *B, void *D, void *H)

Not Collective

## Input Parameters

- field - The `DMField` object

- cellIS - Index set for cells on which to evaluate the field

- datatype - The PetscDataType of the output arrays: either `PETSC_REAL` or `PETSC_SCALAR`. If the field is complex and datatype is `PETSC_REAL`, the real part of the field is returned.

## Output Parameters

- B - pointer to data of size c * n * sizeof(datatype), where c is the number of components in the field. If B is not `NULL`, the values of the field are written in this array, varying first by component, then by point.

- D - pointer to data of size d * c * n * sizeof(datatype). If D is not `NULL`, the values of the field’s spatial derivatives are written in this array, varying first by the partial derivative component, then by field component, then by point.

- H - pointer to data of size d * d * c * n * sizeof(datatype). If H is not `NULL`, the values of the field’s second spatial derivatives are written in this array, varying first by the second partial derivative component, then by field component, then by point.

## See Also

`DMField`, `IS`, `DMFieldGetNumComponents()`, `DMFieldEvaluate()`, `DMFieldEvaluateFE()`, `PetscDataType`

## Level

intermediate

## Location

src/dm/field/interface/dmfield.c

## Examples

src/dm/field/tutorials/ex1.c

## Implementations

DMFieldEvaluateFV_DA() in src/dm/field/impls/da/dmfieldda.c
DMFieldEvaluateFV_DS() in src/dm/field/impls/ds/dmfieldds.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages